Package ru.bitel.bgbilling.plugins.edo.server.bean

# Class ContractConfigManager

java.lang.Object
ru.bitel.bgbilling.plugins.edo.server.bean.ContractConfigManager

public class ContractConfigManager extends Object
Сохранение и получение конфига с договора, и других настроек к нему привязанных.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractConfigManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig(int contractId)`
  Возвращает конфиг для указанного договора, или "" если конфига пока нет.
  `GetEdoIdSettings`
  `getGetEdoIdSettings(int contractId)`
  Получение настроек GetEdoIdSettings для договора, или возвращает дефолтный (одноимённый DEFAULT).
  `void`
  `saveConfig(int contractId, String config)`
  Обновляет конфиг для указанного договора, или создаёт если не было
  `void`
  `saveGetEdoIdSettings(int contractId, GetEdoIdSettings settings)`
  Сохранение настроек GetEdoIdSettings для договора (создаёт если не было).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractConfigManager

    public ContractConfigManager(Connection con)

- ## Method Details

  - ### getConfig

    public String getConfig(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возвращает конфиг для указанного договора, или "" если конфига пока нет.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveConfig

    public void saveConfig(int contractId, String config) throws ru.bitel.bgbilling.common.BGException
    Обновляет конфиг для указанного договора, или создаёт если не было
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGetEdoIdSettings

    public GetEdoIdSettings getGetEdoIdSettings(int contractId) throws ru.bitel.bgbilling.common.BGException
    Получение настроек GetEdoIdSettings для договора, или возвращает дефолтный (одноимённый DEFAULT).
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### saveGetEdoIdSettings

    public void saveGetEdoIdSettings(int contractId, GetEdoIdSettings settings) throws ru.bitel.bgbilling.common.BGException
    Сохранение настроек GetEdoIdSettings для договора (создаёт если не было).
    Throws:
      `ru.bitel.bgbilling.common.BGException`